Apache Tomcat 8.5.4 发布

oschina
 oschina
发布于 2016年07月14日
收藏 6

Apache Tomcat 8.5.4 发布了,本次发布增强了HTTP/2连接,Tomcat Native更新到1.2.8。主要改进如下:

  • 57705: Add debug logging for requests denied by the remote        host and remote address valves and filters. Based on a patch by Graham        Leggett. (markt)

  • Correct a regression in the fix for 58588 that removed the        entire org.apache.juli package from the embedded JARs        rendering them unusable. (markt)

  • 59399: Add a new option to the Realm implementations that        ship with Tomcat that allows the HTTP status code used for HTTP -> HTTPS        redirects to be controlled per Realm. (markt)

  • Change the default of the        sessionCookiePathUsesTrailingSlash attribute of the        Context element to false since the problems        caused when a Servlet is mapped to /* are more significant        than the security risk of not enabling this option by default. (markt)

  • Follow-up to 59655. Improve the documentation for configuring        permitted cookie names. Patch provided by Kyohei Nakamura. (markt)

  • Do not attempt to start web resources during a web application's        initialisation phase since the web application is not fully configured        at that point and the web resources may not be correctly configured.        (markt)

  • 59708: Modify the LockOutRealm logic. Valid authentication        attempts during the lock out period will no longer reset the lock out        timer to zero. (markt)

  • Improve error handling around user code prior to calling        InstanceManager.destroy() to ensure that the method is        executed. (markt)

了解更多改进信息,可查看完整改进记录

下载地址:http://tomcat.apache.org/download-80.cgi

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Apache Tomcat 8.5.4 发布
加载中

最新评论(14

南湖船老大
南湖船老大

引用来自“鸣泽晨”的评论

刚试过,在eclipse 4.4.2上用不了

引用来自“cherrypp”的评论

是不是某些jar 包需要升级下?

引用来自“鸣泽晨”的评论

不清楚,没时间检查,换8.0.36版本了。我是搞完这些才看到这篇文章的
肯定运行不了啊,eclipse只认识6.0,7.0,8.0这样的版本。面对8.5.X 这样的版本就傻眼了。tomcat的版本号在catalina.jar 里面的org/apache/catalina/util/ServerInfo.properties这个文件,除非你把它改成8.0.154这样的版本。或者给eclipse打补丁
千面书生鬼见愁
MyEclipse2015也用不了8.5
鸣泽晨
鸣泽晨

引用来自“鸣泽晨”的评论

刚试过,在eclipse 4.4.2上用不了

引用来自“cherrypp”的评论

是不是某些jar 包需要升级下?
不清楚,没时间检查,换8.0.36版本了。我是搞完这些才看到这篇文章的
cherrypp
cherrypp

引用来自“鸣泽晨”的评论

刚试过,在eclipse 4.4.2上用不了
是不是某些jar 包需要升级下?
Nick_Judy
Nick_Judy
不是都到9了吗?
鸣泽晨
鸣泽晨
刚试过,在eclipse 4.4.2上用不了
开源中国首席颈椎砖家
开源中国首席颈椎砖家
8.5可视为8.0的增强版或9.0的简版
阿信sxq
阿信sxq

引用来自“Tuesday”的评论

版本号好乱, 8.0.36, 9.0.0
不乱吧,不同的产品线
梅花扣肉
梅花扣肉
还在用6
返回顶部
顶部